Save a rule
curl --request POST \
--url https://sandbox.hurdlr.com/rest/v5/expenses/rule \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: */*' \
--data '
{
"rule": {
"id": 123,
"transactionName": "<string>",
"vendorId": 123,
"businessId": 123,
"clientId": 123,
"categoryId": 123,
"personalCategoryId": 123,
"templateId": 123
},
"applyToPastTransactions": true
}
'import requests
url = "https://sandbox.hurdlr.com/rest/v5/expenses/rule"
payload = {
"rule": {
"id": 123,
"transactionName": "<string>",
"vendorId": 123,
"businessId": 123,
"clientId": 123,
"categoryId": 123,
"personalCategoryId": 123,
"templateId": 123
},
"applyToPastTransactions": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "*/*"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': '*/*'},
body: JSON.stringify({
rule: {
id: 123,
transactionName: '<string>',
vendorId: 123,
businessId: 123,
clientId: 123,
categoryId: 123,
personalCategoryId: 123,
templateId: 123
},
applyToPastTransactions: true
})
};
fetch('https://sandbox.hurdlr.com/rest/v5/expenses/rule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"errors": {
"fieldErrors": {},
"globalErrors": [
{
"errorMessage": "<string>"
}
]
},
"id": "<string>",
"webhook": {
"userId": "<string>",
"accountantUserId": "<string>"
}
}Expenses
Save a rule
Save a new (or update an existing) rule
POST
/
v5
/
expenses
/
rule
Save a rule
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
*/*
rule
Response
200 - application/json
Successful operation
Object containing details about result of the action performed
⌘I